<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE struts PUBLIC
    "-//Apache Software Foundation//DTD Struts Configuration 2.0//EN"
    "http://struts.apache.org/dtds/struts-2.0.dtd">
<struts>
    <constant name="struts.objectFactory" value="spring" />
    <constant name="struts.devMode" value="true" />

	<package name="default" namespace="/" extends="struts-default">
        
        <action name="Login" class="locadora.servlets.Login">  
        	<result name="logado">/index.jsp?msg_erro=Seja Bem Vindo!</result>  
        	<result name="naologado">/index.jsp?msg_erro=Login ou senha incorreta</result>
        </action>
        
        <action name="ListaVideos" class="locadora.servlets.ListaVideos">  
        	<result name="naologado">/selecao.jsp?msg_erro=Acesso Negado</result>
        	<result name="logado">/selecao.jsp</result>  
        </action>
        
        <action name="FaleConosco" class="locadora.servlets.FaleConosco">  
        	<result name="cadastrado">/FaleConosco.jsp?msg_sucesso=Dados Adicionados</result>
        	<result name="naocadastrado">/FaleConosco.jsp?msg_sucesso=Cadastro nao realizado</result>  
        </action>
        
        <action name="cadastraFilme" class="locadora.servlets.CadastrarFilmes">  
        	<result name="cadastrado">/CadastroFilmes.jsp?msg_sucesso=Dados Adicionados</result>
        	<result name="naocadastrado">/CadastroFilmes.jsp?msg_erro=Cadastro não realizado!</result> 
        	 
        </action>
        
          <action name="Busca" class="locadora.servlets.BuscaFilmes">  
        	<result name="naologado">/index.jsp?msg_erro=Acesso Negado</result>
        	<result name="logado">/selecao.jsp</result>  
        </action>  
        
    </package>

</struts>

